// Patient.java : Java-Klassen-Datei
// generiert mit GO


/**
        Erstellt : 22.12.2000 -- 15 Uhr 16 Minuten

 * @author      Bettina Schrder
 * @version     0.1, 22.12.2000
 */

public class Patient
{
      private int PatientenNr;
      private String Patientenname;
      private String Adresse;
      private String Geburtsdatum;
      private int Versichertenstatus;
      private String Versichertenname;
      private boolean VKarteVorgelegt;
      private Kasse dieKasse;

      /** Erzeugt ein neues Objekt
      * initialisiert es mit Patientennummer & Patientenname
      * @param PatientenNr die Patientennummer
      * @param Patientenname der Patientenname
      */
      public Patient(int PatientenNr, String Patientenname)
      {
           /* Verbindungen aufbauen:
           Assoziation : Kasse[ist Mitglied bei], Kardinalitt : 1, Rollenname :
           */
           // Implementierung :
           VKarteVorgelegt = false;
           this.PatientenNr = PatientenNr;
           this.Patientenname = Patientenname;
           this.Versichertenname = Patientenname;
           //{{INIT_CONTROLS
           //}}
      }
      /** Setzt einen Verweis auf auf ein Objekt der Klasse Kasse
      * @param eineKasse die Referenz des Kassen-Objektes, auf das verwiesen werden soll.
      */
      public void setLink(Kasse eineKasse)
      {
          dieKasse = eineKasse;
      }
      public void setPatientenNr(int PatientenNr) { this.PatientenNr = PatientenNr; }
      public void setPatientenname(String Patientenname) { this.Patientenname = Patientenname; }
      public void setAdresse(String Adresse) { this.Adresse = Adresse; }
      public void setGeburtsdatum(String Geburtsdatum) { this.Geburtsdatum = Geburtsdatum; }
      public void setVersichertenstatus(int Versichertenstatus) { this.Versichertenstatus = Versichertenstatus; }
      public void setVersichertenname(String Versichertenname) { this.Versichertenname = Versichertenname; }
      public void setVKarteVorgelegt(boolean VKarteVorgelegt) { this.VKarteVorgelegt = VKarteVorgelegt; }
      /** Liest Adresse des Kassen-Objektes aus, mit dem das Patient-Objekt verknpft ist
      * @return dieKasse Adresse des Kassen-Objektes
      */
      public Kasse getLink()
      {
          return dieKasse;
      }
      /** Entfernt Beziehung zu dem verknpften Kassen-Objekt
      */
      public void removeLink()
      {
          dieKasse = null;
      }
      public int getPatientenNr() { return PatientenNr; }
      public String getPatientenname() { return Patientenname; }
      public String getAdresse() { return Adresse; }
      public String getGeburtsdatum() { return Geburtsdatum; }
      public int getVersichertenstatus() { return Versichertenstatus; }
      public String getVersichertenname() { return Versichertenname; }
      public boolean getVKarteVorgelegt() { return VKarteVorgelegt; }

      //{{DECLARE_CONTROLS
      //}}
};